header {
    width: 100%;
    height: 100px;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 2;
    /* Glass vermelho */
    background: rgba(117, 0, 0, 0.25);
    backdrop-filter: blur(25px);
    -webkit-backdrop-filter: blur(25px);

    /* Borda inferior com destaque */
    border-bottom: 1px solid rgba(255, 80, 80, 0.4);

    /* Sombra elegante */
    box-shadow:
        0 8px 30px rgba(0, 0, 0, 0.25),
        0 2px 10px rgba(117, 0, 0, 0.3);

    transition: all 0.3s ease;
}



img.logo-az {
    width: auto;
    height: 8rem;
    position: absolute;
    z-index: 3;
    margin: 2%;
    object-fit: cover;
    filter: drop-shadow(0 20px 10px rgba(0, 0, 0, 0.1));
}


/* Menu e Links de navegação */
header nav {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-end;
    padding: 0 60px;
}


.menu-list {
    display: flex;
    gap: 40px;
    margin-right: 15%;
    list-style: none;
}

.menu-list a {
    color: white;
    text-decoration: none;
    font-size: 1.3rem;
    font-weight: bold;
    letter-spacing: 2px;
    position: relative;
    transition: color 0.3s ease;
}

/* Hover elegante */
.menu-list a::after {
    content: "";
    position: absolute;
    left: 0;
    bottom: -6px;
    width: 0%;
    height: 2px;
    background: linear-gradient(90deg, #f6ff00, #ff0000);
    transition: width 0.3s ease;
}

.menu-list a:hover {
    color: #f6ff00;
}

.menu-list a:hover::after {
    width: 100%;
}

/* Link ativo */
.menu-list a.active {
    color: #f6ff00;
    font-weight: 600;
}

.menu-list a.active::after {
    width: 100%;
}

.servicos {
    cursor: pointer;
}

.text-orcamento-aqui {
    padding: .2rem .9rem;
    border-radius: 20px;
    border: solid 1px #f6ff00;
    background: #4ee906;
}

.text-orcamento-aqui:hover {
    background: linear-gradient(90deg, #f6ff00, #ff0000);
    border: solid 1px #ffffff;
}

.text-orcamento-aqui a {
    font-size: 1.1rem;
    color: #000000;
}


/* Ícone menu */
.menu-toggle {
    color: white;
    font-size: 2rem;
    cursor: pointer;
    transition: 0.3s;
    display: none;
}

.menu-toggle:hover {
    color: #ffcc00;
}

/*Menu dropdown */
.menu-servicos {
    position: relative;
}

.menu-dropdown {
    position: absolute;
    width: 300px;
    margin-top: 18px;
    top: 100%;
    left: -50px;
    background: rgba(120, 0, 0, 0.35);
    backdrop-filter: blur(25px);
    -webkit-backdrop-filter: blur(25px);
    border: 1px solid rgba(255, 80, 80, 0.4);
    border-radius: 20px;
    box-shadow:
        0 8px 30px rgba(0, 0, 0, 0.25),
        0 2px 10px rgba(117, 0, 0, 0.3);
    opacity: 0;
    visibility: hidden;
    transform: translateY(0);
    transition: 0.3s ease;
    z-index: 10;
}

.menu-dropdown::before {
    content: "";
    position: absolute;
    top: -10px;
    left: 40px;
    width: 20px;
    height: 20px;
    background: rgba(120, 0, 0, 0.35);
    border-left: 1px solid rgba(255, 80, 80, 0.4);
    border-top: 1px solid rgba(255, 80, 80, 0.4);
    filter: drop-shadow(0 -3px 5px rgba(0, 0, 0, 0.2));
    transform: rotate(45deg);
}


.menu-dropdown ul {
    display: flex;
    flex-direction: column;
    list-style: none;
    gap: 8px;
    padding: 15px;
}

.menu-dropdown a {
    text-decoration: none;
    font-weight: 500;
    font-size: .9rem;
    display: block;
}


/* MOSTRAR AO PASSAR O MOUSE */
.menu-servicos:hover .menu-dropdown {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}




/* =========================================================
   RESPONSIVIDADE
   Base atual = desktop
   Breakpoints:
   - Notebook/PC grande: 1200px+
   - Notebook: até 1199px
   - Tablet: até 991px
   - Celular: até 767px
   - Celular pequeno: até 480px
========================================================= */

/* =========================================================
   CELULAR PEQUENO (<= 900px)
========================================================= */

@media (max-width: 900px) {
    .menu-list {
        margin-right: 0;
        margin-left: 5%;
    }

    .text-orcamento-aqui {
        padding: .2rem 1rem;
        border-radius: 20px;
        border: solid 1px #f6ff00;
        background: #4ee906;
        text-align: center;
    }

    .text-orcamento-aqui a {
        font-size: 0.8rem;
    }

}



/* =========================================================
   CELULAR PEQUENO (<= 768px)
========================================================= */

@media (max-width: 768px) {
    /* Ícone menu */
    .menu-toggle {
        display: block;
        position: absolute;
        right: 5%;
        color: #f6ff00;
        z-index: 3;
    } 

   
    .menu-list {
        position:fixed;
        flex-direction:column;
        top: 100px;
        right:0;
        width:60%;
        height: 100vh;
        padding:40px 20px;
        background:rgba(120, 0, 0, 0.534);
        backdrop-filter:blur(20px);
        transition:0.4s;

        /* estado fechado */
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        transform: translateX(100%);
        z-index: 100;
    }

    .menu-list.active {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
        transform: translateX(0);
    }


    .menu-list {
        display: block;
        position: fixed;
        flex-direction: column;
        top: 100px;
        right: 0;
        width: 60%;
        height: 100vh;
        padding: 40px 20px;
        background: rgba(120, 0, 0, 0.534);
        backdrop-filter: blur(20px);
        transition: 0.4s;

    }

    .menu-list li {
        margin-bottom: 20px;
    }

    .text-orcamento-aqui a {
        font-size: 1rem;
    }

}


/* =========================================================
   CELULAR PEQUENO (<= 480px)
========================================================= */

@media (max-width: 480px) {
    /* Ícone menu */
    .menu-toggle {
        display: block;
        position: absolute;
        right: 5%;
        z-index: 1001;
    }

    .menu-list {
        position: fixed;
        flex-direction: column;
        top: 100px;
        right: 0;
        width: 60%;
        height: 100vh;
        padding: 40px 20px;
        background: rgba(120, 0, 0, 0.534);
        backdrop-filter: blur(20px);
        transition: 0.4s;

        /* estado fechado */
        opacity: 0;
        visibility: hidden;
        pointer-events: none;
        transform: translateX(100%);
        z-index: 1000;
    }

    .menu-list.active {
        opacity: 1;
        visibility: visible;
        pointer-events: auto;
        transform: translateX(0);
    }

    .text-orcamento-aqui a {
        font-size: 1rem;
    }

    .menu-dropdown {
        width: 250px;
    }

    /* MOSTRAR AO clicar O MOUSE */
    .menu-servicos:focus-within .menu-dropdown {
        opacity: 1;
        visibility: visible;
        transform: translateY(0);
    }

}